cURL
curl --request PUT \
--url https://api.botpress.cloud/v1/tables/{table}/column \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-bot-id: <x-bot-id>' \
--data '
{
"name": "<string>",
"newName": "<string>"
}
'import requests
url = "https://api.botpress.cloud/v1/tables/{table}/column"
payload = {
"name": "<string>",
"newName": "<string>"
}
headers = {
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-bot-id': '<x-bot-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', newName: '<string>'})
};
fetch('https://api.botpress.cloud/v1/tables/{table}/column', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"table": {
"id": "<string>",
"name": "<string>",
"schema": {
"properties": {},
"additionalProperties": true,
"type": "object",
"$schema": "<string>",
"required": [
"<string>"
]
},
"factor": 1,
"frozen": true,
"tags": {},
"isComputeEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"table": {
"id": "<string>",
"name": "<string>",
"schema": {
"properties": {},
"additionalProperties": true,
"type": "object",
"$schema": "<string>",
"required": [
"<string>"
]
},
"factor": 1,
"frozen": true,
"tags": {},
"isComputeEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}renameTableColumn
Renames an existing column within a table to better reflect its content or usage. The operation targets a specific table and requires the current and new column names.
PUT
/
v1
/
tables
/
{table}
/
column
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bot id
Integration id
Integration alias
Integration name
User Id
User Role
Path Parameters
The table's name or unique identifier for targeting specific table operations.
Body
application/json
Details of the column to be renamed, including its current name and the desired new name.
Response
Confirmation of the column rename operation, including the updated table schema.
Show child attributes
Show child attributes
Was this page helpful?
⌘I